package com.muyu.common.domain.req;

import com.muyu.common.core.validation.custom.IsSysRuleActivate;
import com.muyu.common.core.validation.custom.IsSysRuleZM;
import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain.req
 * @Project：cloud-rule
 * @name：RuleDataListReq
 * @Date：2024/8/22 下午10:12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "接口列表请求对象")
public class RuleDataListReq {

    /**
     * 规则名称
     */
    @Schema(description = "规则名称",defaultValue = "邮箱规则接口",type = "String")
    private String ruleName;
    /**
     * 规则类型
     */
    @Schema(description = "规则类型",defaultValue = "Z",type = "String")
    private String ruleType;
    /**
     * 激活状态
     */
    @Schema(description = "激活状态",defaultValue = "S",type = "String")
    private String ruleActivate;
    /**
     * 规则状态
     */
    @Schema(description = "规则状态",defaultValue = "Y",type = "String")
    private String ruleStatus;

}
