package com.muyu.common.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain.req
 * @Project：cloud-rule
 * @name：RuleVersionUpdCodeReq
 * @Date：2024/9/6 下午3:02
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RuleVersionUpdCodeReq {

    /**
     * 规则版本ID
     */
    @NotNull(message = "规则ID不可为空")
    @Schema(title = "版本ID",type = "Long")
    private Long ruleVersionId ;
    /**
     * 代码
     */
    @Schema(title = "代码",type = "String")
    private String ruleVersionText ;

}
