package com.muyu.common.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain.resp
 * @Project：cloud-rule
 * @name：RuleVersionVersion
 * @Date：2024/8/27 上午11:56
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "接口规则版本信息对应对象",description = "负责接口规则版本信息查询的相应结果")
public class RuleVersionResp {

    /**
     * 规则版本ID
     */
    @TableId(value = "rule_version_id",type = IdType.AUTO)
    @Schema(description = "规则版本ID",type = "Long")
    private Long ruleVersionId ;
    /**
     * 规则ID
     */
    @Schema(description = "规则ID",type = "Long")
    private Long ruleId ;
    /**
     * 版本类
     */
    @Schema(description = "版本类",type = "String")
    private String ruleVersionType ;
    /**
     * 版本名称
     */
    @Schema(description = "版本名称",defaultValue = "QQ邮箱剔除",type = "String")
    private String ruleVersionName ;
    /**
     * 版本编号
     */
    @Schema(description = "版本编号",defaultValue = "ISNW2F4S",type = "String")
    private String ruleVersionCode ;
    /**
     * 是否激活
     */
    @Schema(description = "激活状态",defaultValue = "S",type = "String")
    private String ruleVersionActivate ;
    /**
     * 版本状态
     */
    @Schema(description = "版本状态",defaultValue = "I",type = "String")
    private String ruleVersionStatus ;
    /**
     * 是否测试
     */
    @Schema(description = "测试状态",defaultValue = "W",type = "String")
    private String ruleVersionTest ;
    /**
     * 代码
     */
    @Schema(description = "代码",type = "String")
    private String ruleVersionText ;
    /**
     * 备注
     */
    @Schema(description = "备注",type = "String")
    private String remark ;

}
