package com.muyu;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import com.muyu.common.core.domain.Result;

import java.io.ByteArrayInputStream;
import java.io.FileInputStream;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

/**
 * @Author：蓬叁
 * @Package：com.muyu
 * @Project：cloud-rule
 * @name：OSSUpload
 * @Date：2024/9/3 下午3:34
 */
public class OSSUpload {

    // Endpoint以华东1（杭州）为例，其它Region请按实际情况填写
    private static final String endpoint = "oss-cn-shanghai.aliyuncs.com" ;
    // AccessKeyID
    private static final String accessKeyId = "LTAI5tHKdDATVKeBjFH8mb8D" ;
    // AccessKeySecret
    private static final String accessKeySecret = "5ejb4qdgukfD1FdM181kdeAkSuURo7" ;
    // Bucket名称
    private static final String bucketName = "java-web-generating-class" ;

    public static void main(String[] args) {

        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        // 上传到OSS后文件保存的目录，例如：folder/subfolder/，最后以斜杠结尾
        String objectName = "build/version/rule/DataEngineRecordActuator.class";

        try {
            InputStream inputStream = new FileInputStream("C:\\Users\\13636\\Desktop\\test\\DataEngineRecordActuator.class");
//
//            // 将内容转换为字节数组输入流
//            ByteArrayInputStream inputStream = new ByteArrayInputStream(content.getBytes(StandardCharsets.UTF_8));

            // 构造上传请求
            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, objectName, inputStream);

            // 执行上传操作
            ossClient.putObject(putObjectRequest);

            System.out.println("文件"+"DataEngineRecordActuator.class"+"存储成功");

        } catch (Exception e) {
            e.printStackTrace();
            System.out.println("文件"+"DataEngineRecordActuator.class"+"存储成功");
        } finally {
            // 关闭OSSClient
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }
    }

}
