package com.muyu.engine.basic.abstracts;

import com.muyu.common.domain.DataValue;
import com.muyu.engine.basic.BasicEngine;
import com.muyu.engine.basic.handler.DataEngineRecordHandler;
import com.muyu.engine.basic.handler.DataEngineSetHandler;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic.abstracts
 * @Project：cloud-rule
 * @name：DataEngineSetActuator
 * @Date：2024/8/30 上午11:13
 * @Description: 记录
 */
public abstract class DataEngineRecordActuator implements BasicEngine<DataValue> {

    public void set(DataValue dataValue){
        DataEngineRecordHandler.set(dataValue);
    }

    //获取原始值
    public DataValue get(){
        return DataEngineRecordHandler.get();
    }

    @Override
    public void execution() {
        this.run();
        this.remove();
    }

    public abstract void run();

}
