package com.muyu.upload;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import com.muyu.common.core.domain.Result;
import com.muyu.compile.FilesCompilerLoad;
import com.muyu.constant.MethodSuffix;
import com.muyu.load.OSSFileLoad;
import lombok.extern.log4j.Log4j2;

import java.io.ByteArrayInputStream;
import java.io.File;
import java.nio.charset.StandardCharsets;

/**
 * @Author：蓬叁
 * @Package：com.muyu.upload
 * @Project：cloud-rule
 * @name：ALiYunUpload
 * @Date：2024/8/30 下午7:05
 */
@Log4j2
public class ALiYunUpload {

    // Endpoint以华东1（杭州）为例，其它Region请按实际情况填写
    private static final String endpoint = "oss-cn-shanghai.aliyuncs.com" ;
    // AccessKeyID
    private static final String accessKeyId = "LTAI5tHKdDATVKeBjFH8mb8D" ;
    // AccessKeySecret
    private static final String accessKeySecret = "5ejb4qdgukfD1FdM181kdeAkSuURo7" ;
    // Bucket名称
    private static final String bucketName = "java-web-generating-class" ;

    public static Result<Object> uploadJavaFiles(String JavaContent, String fileName) {

        System.out.println(JavaContent);

        System.out.println(fileName);

        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        // 上传到OSS后文件保存的目录，例如：folder/subfolder/，最后以斜杠结尾
        String objectName = "build/version/java/" + fileName + MethodSuffix.JAVASUFFIX;

        try {
            // 将内容转换为字节数组输入流
            ByteArrayInputStream inputStream = new ByteArrayInputStream(JavaContent.getBytes(StandardCharsets.UTF_8));

            // 构造上传请求
            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, objectName, inputStream);

            // 执行上传操作
            ossClient.putObject(putObjectRequest);

            return Result.success(null,"文件"+fileName+".java"+"存储成功");

        } catch (Exception e) {
            e.printStackTrace();

            return Result.error(null,"文件"+fileName+".java"+"存储失败");
        } finally {
            // 关闭OSSClient
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }

    }

    public static Result<Object> uploadClassFiles(String fileName,String filePath) {

        System.out.println(fileName+ MethodSuffix.CLASSSUFFIX);

        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        // 上传到OSS后文件保存的目录，例如：folder/subfolder/，最后以斜杠结尾
        String objectName = "build/version/class/"+fileName+ MethodSuffix.CLASSSUFFIX;

        try {

            ossClient.putObject(bucketName, objectName, new File(filePath));

            log.info("文件[{}]存储成功",fileName+ MethodSuffix.CLASSSUFFIX);
            log.info("开始拉取....");
            OSSFileLoad.streamingClassDownload(fileName);
            return Result.success(null,"文件"+fileName+".class"+"存储成功");

        } catch (Exception e) {
            log.info("文件[{}]存储失败",fileName+ MethodSuffix.CLASSSUFFIX+"错误信息:[{}]"+e.getMessage());
            return Result.error(null,"文件"+fileName+".class"+"存储失败");
        } finally {
            // 关闭OSSClient
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }

    }

}
