package com.muyu.servier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.RuleData;
import com.muyu.common.domain.req.RuleDataListReq;
import com.muyu.common.domain.resp.RuleDataResp;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.servier
 * @Project：cloud-rule
 * @name：RuleDataService
 * @Date：2024/8/22 下午10:20
 */
public interface RuleDataService extends IService<RuleData> {
    List<RuleDataResp> selectList(RuleDataListReq ruleDataListReq);

    void disable(Long ruleId);

    void enable(Long ruleId);

    /**
     * 通过规则ID设置规则状态
     * @param ruleId ID
     * @param status 状态 SysIsYesNo
     */
    public void settingStatus(Long ruleId, String status);

    void unstart(Long ruleId);

    void start(Long ruleId);

    /**
     * 通过规则ID设置激活状态
     * @param ruleId ID
     * @param activate 状态 SysIsYesNo
     */
    public void settingActivate(Long ruleId, String activate);


}
