package com.muyu.servier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.RuleVersion;
import com.muyu.common.domain.req.RuleVersionUpdReq;
import com.muyu.common.domain.resp.RuleVersionResp;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.servier
 * @Project：cloud-rule
 * @name：RuleVersionServier
 * @Date：2024/8/27 上午11:46
 */
public interface RuleVersionService extends IService<RuleVersion> {
    List<RuleVersionResp> selectList(Long ruleId);

    void updateStatus(Long ruleVersionId, RuleVersionUpdReq ruleVersionUpdReq);

    void unstart(Long ruleVersionId);

    void start(Long ruleVersionId);
    /**
     * 通过规则ID设置激活状态
     * @param ruleVersionId ID
     * @param activate 状态 SysIsYesNo
     */
    public void settingVersionActivate(Long ruleVersionId, String activate);

    RuleVersion generatedCode(RuleVersion ruleVersion);
}
