package com.muyu.servier.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.resp.RuleDataResp;
import com.muyu.mapper.RuleDataInfoMapper;
import com.muyu.servier.RuleDataInfoService;
import com.muyu.servier.RuleDataService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.servier.impl
 * @Project：cloud-rule
 * @name：RuleDataInfoServiceImpl
 * @Date：2024/8/23 上午12:58
 */
@Service
public class RuleDataInfoServiceImpl
        extends ServiceImpl<RuleDataInfoMapper, RuleDataResp>
        implements RuleDataInfoService {
    @Override
    public List<RuleDataResp> selectRuleDataAndLimit(Long id, int limit) {
        LambdaQueryWrapper<RuleDataResp> objectLambdaQueryWrapper = new LambdaQueryWrapper<>();
        objectLambdaQueryWrapper.eq(RuleDataResp::getId,id);
        objectLambdaQueryWrapper.orderBy(true,false,RuleDataResp::getCreateTime);
        objectLambdaQueryWrapper.last("limit "+limit);
        return this.list(objectLambdaQueryWrapper);
    }
}
